diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4386d96..2cb77cd 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -132209,7 +132209,7 @@ RationalRicDE(F, UP): Exports == Implementation where
       ++ Argument \spad{ezfactor} is a factorisation in \spad{UP},
       ++ not necessarily into irreducibles.
     polyRicDE: (L, UP -> List F) -> List POL
-      ++ polyRicDE(op, zeros) returns \spad{[[p1, L1], [p2, L2], ... , [pk,Lk]]}
+      ++ polyRicDE(op, zeros) returns \spad{[[p1,L1], [p2,L2], ... , [pk,Lk]]}
       ++ such that the polynomial part of any rational solution of the
       ++ associated Riccati equation of \spad{op y = 0} must be one of the pi's
       ++ (up to the constant coefficient), in which case the equation for
@@ -132261,7 +132261,8 @@ RationalRicDE(F, UP): Exports == Implementation where
 
     dummy := new()$SY
 
-    UP2SUP p == map(#1::P,p)$UnivariatePolynomialCategoryFunctions2(F,UP,P,SUP)
+    UP2SUP p == map(z +-> z::P,p)
+                           $UnivariatePolynomialCategoryFunctions2(F,UP,P,SUP)
     logDerOnly l == [differentiate(s) / s for s in ratDsolve(l, 0).basis]
     ricDsolve(l:LQ, zeros:UP -> List F) == ricDsolve(l, zeros, squareFree)
     ricDsolve(l:L,  zeros:UP -> List F) == ricDsolve(l, zeros, squareFree)
@@ -132271,8 +132272,8 @@ RationalRicDE(F, UP): Exports == Implementation where
       ricDsolve(splitDenominator(l, empty()).eq, zeros, ezfactor)
 
     mapeval(p, ls, lv) ==
-      map(ground eval(#1, ls, lv),
-          p)$UnivariatePolynomialCategoryFunctions2(P, SUP, F, UP)
+      map(z +-> ground eval(z, ls, lv),p)
+                        $UnivariatePolynomialCategoryFunctions2(P, SUP, F, UP)
 
     FifCan f ==
       ((n := retractIfCan(numer f))@Union(F, "failed") case F) and
@@ -132394,7 +132395,7 @@ RationalRicDE(F, UP): Exports == Implementation where
 -- stop when the number of solutions reaches the order of the equation
     nopoly(n, p, l, zeros) ==
       ans:List(QF) := empty()
-      for rec in constantCoefficientRicDE(l, constantRic(#1, zeros)) repeat
+      for rec in constantCoefficientRicDE(l,z+->constantRic(z, zeros)) repeat
         ans := removeDuplicates_! concat_!(ans,
                   [(rec.constant::UP + p)::QF + f for f in logDerOnly(rec.eq)])
         #ans = n => return ans
@@ -132419,17 +132420,18 @@ RationalRicDE(F, UP): Exports == Implementation where
       ricDsolve(l:LQ) == ricDsolve(l, squareFree)
 
       ricDsolve(l:L, ezfactor:UP -> Factored UP) ==
-        ricDsolve(l, zro(#1, ezfactor), ezfactor)
+        ricDsolve(l, z +-> zro(z, ezfactor), ezfactor)
 
       ricDsolve(l:LQ, ezfactor:UP -> Factored UP) ==
-        ricDsolve(l, zro(#1, ezfactor), ezfactor)
+        ricDsolve(l, z +-> zro(z, ezfactor), ezfactor)
 
       zro(p, ezfactor) ==
         concat [zro1(r.factor) for r in factors ezfactor p]
 
       zro1 p ==
-        [zeroOf(map(#1, p)$UnivariatePolynomialCategoryFunctions2(F, UP,
-                                              F, SparseUnivariatePolynomial F))]
+        [zeroOf(map((z:F):F +-> z, p)
+          $UnivariatePolynomialCategoryFunctions2(F, UP, F, 
+              SparseUnivariatePolynomial F))]
 
 @
 <<ODERTRIC.dotabb>>=
diff --git a/changelog b/changelog
index 0a30df4..420a687 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090620 tpd src/axiom-website/patches.html 20090620.03.tpd.patch
+20090620 tpd books/bookvol10.4 ODERTRIC +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.02.tpd.patch
 20090620 tpd books/bookvol10.4 ODERAT +-> conversion
 20090620 tpd src/axiom-website/patches.html 20090620.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 20b9f75..1a18aa9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1603,5 +1603,7 @@ bookvol10.4 LIMITRF +-> conversion<br/>
 bookvol10.4 SUMRF +-> conversion<br/>
 <a href="patches/20090620.02.tpd.patch">20090620.02.tpd.patch</a>
 bookvol10.4 ODERAT +-> conversion<br/>
+<a href="patches/20090620.03.tpd.patch">20090620.03.tpd.patch</a>
+bookvol10.4 ODERTRIC +-> conversion<br/>
  </body>
 </html>
